package com.foreverwin.mesnac.anomaly.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.foreverwin.mesnac.common.model.ExcelColumn;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author YinQ
 * @since 2022-09-15
 */

@TableName("Z_OUT_STORE")
@Data
public class OutStore extends Model<OutStore> {

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   @ExcelColumn(value = "HANDLE")
   private String handle;
    /**
     * 工厂
     */
   @TableField("FACTORY")
   @ExcelColumn(value = "工厂")
   private String factory;
    /**
     * 库存地点
     */
   @TableField("STOCK_LOCATION")
   @ExcelColumn(value = "库存地点")
   private String stockLocation;
    /**
     * 项目号
     */
   @TableField("PROJECT_NO")
   @ExcelColumn(value = "项目号")
   private String projectNo;
    /**
     * 物料编号
     */
   @TableField("ITEM")
   @ExcelColumn(value = "物料编号")
   private String item;
    /**
     * 物料描述
     */
   @TableField("ITEM_DESCRIPTION")
   @ExcelColumn(value = "物料描述")
   private String itemDescription;
    /**
     * 数量
     */
   @TableField("QTY")
   @ExcelColumn(value = "数量")
   private Long qty;
    /**
     * 过账日期
     */
   @TableField("POSTING_DATE_TIME")
   @ExcelColumn(value = "过账日期")
   private String postingDateTime;
    /**
     * 导入人员
     */
   @TableField("IMPORT_USER")
   @ExcelColumn(value = "导入人员")
   private String importUser;
    /**
     * 导入时间
     */
   @TableField("IMPORT_DATE_TIME")
   @ExcelColumn(value = "IMPORT_DATE_TIME")
   private LocalDateTime importDateTime;

   @TableField("OTHER1")
   @ExcelColumn(value = "OTHER1")

   private String other1;
   @TableField("OTHER2")

   @ExcelColumn(value = "OTHER2")
   private String other2;

   @ExcelColumn(value = "OTHER3")
   @TableField("OTHER3")
   private String other3;

   @TableField(exist = false)
   @ExcelColumn(value = "SEQ")
   private Integer SEQ;

}