package com.foreverwin.mesnac.anomaly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.OutStore;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author YinQ
 * @since 2022-09-15
 */
public interface OutStoreService extends IService<OutStore> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<OutStore> selectPage(FrontPage<OutStore> frontPage, OutStore outStore);

    List<OutStore> selectList(OutStore outStore);

    boolean outStoreImportFile(List<OutStore> outStoreList);
}