package com.foreverwin.mesnac.anomaly.utils;

import lombok.Data;

import java.util.Date;

/**
 * AttachmentModel
 * TODO
 *
 * @author donglt
 * @version 1.0
 * @date 2021/8/12 01:20
 */
@Data
public class AttachmentModel {

    /**
     * base64图片改造
     */
    private String base64ImageStr;

    /**
     * 创建人id
     */
    private String createdBy;

    private Date createdTime;

    private Boolean deleted;
    /**
     * 资源文件扩展名
     */
    private String fileExtension;
    /**
     * 资源大小
     */
    private Integer fileSize;
    /**
     * 资源id
     */
    private String id;

    /**
     * 资源mime type
     */
    private String mimeType;

    /**
     * 修改人id
     */
    private String modifiedBy;

    private Date modifiedTime;

    /**
     * 资源名称
     */
    private String name;

    /**
     * 资源关联id
     */
    private String refId;

    private String remarks;

    /**
     * 模型编码
     */
    private String schemaCode;

}
