package com.foreverwin.mesnac.anomaly.utils;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Builder;
import lombok.Data;

/**
 * @Author YinQ
 * @create 2022-08-02 15:16
 */
@Data
@Builder
@JsonInclude(value= JsonInclude.Include.NON_NULL)
public class SaveFormModel {
    /** 审批意见 */
    //private BizCommentModel approval;

    /** 业务数据对象 */
    private BizObjectModel bizObject;

    /** 重放验证码 */
    private String replayToken;

    /** 是否saveBizObject*/
    private Boolean saveBizObject;

    /** 任务id */
    private String workItemId;
    /** 流程编码 */
    private String workflowCode;
    /** 流程实例id */
    private String workflowInstanceId;
}