package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.common.model.OperLog;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 操作日志记录 服务类
 * </p>
 *
 * @author YinQ
 * @since 2023-02-01
 */
public interface OperLogService extends IService<OperLog> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<OperLog> selectPage(FrontPage<OperLog> frontPage, OperLog operLog);

    List<OperLog> selectList(OperLog operLog);

    void logSave(OperLog operLog);
}