package com.foreverwin.mesnac.common.util;

import org.apache.activemq.command.ActiveMQTopic;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.jms.Topic;

@Configuration
public class ConfigBeanTopic {
    //注入主题属性
    @Value("${spring.activemq.topic}")
    private String topicName;
    @Bean
    public Topic createTopic(){
        return new ActiveMQTopic(topicName);
    }

}
