package com.foreverwin.mesnac.common.util;

import com.foreverwin.mesnac.common.ftp.JSchClient;
import com.jcraft.jsch.*;
import org.apache.commons.net.ftp.FTPClient;


import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Properties;

public class GetDrawingVersionUtil {
    //  CappFtpClient cappFtpClient=new CappFtpClient();
    public static String GetDrawingVerson(String itemBo, FTPClient connect) throws IOException {
        char VersionInit = 'A';
        List<String> list = new ArrayList<>();
        for (int i = 0; i < 26; i++) {
            String path = StringUtil.trimHandle(itemBo) + "_" + VersionInit;
            boolean flag = connect.changeWorkingDirectory(path);
            if (flag) {
                list.add(String.valueOf(VersionInit));
            }
            connect.changeWorkingDirectory("../");
            VersionInit++;
        }
        if (list == null || list.size() == 0) {
            return null;
        }
        return list.get(list.size() - 1);
    }

    /**
     * 获取图纸最新版本路径
     *
     * @param itemBo
     * @param jSchClient
     * @return
     * @throws IOException
     */
    public static String GetDrawingVersionSFTP(String itemBo, JSchClient jSchClient, String downloadDir) throws IOException {

        char VersionInit = 'A';
        List<String> list = new ArrayList<>();

        for (int i = 0; i < 26; i++) {
            String path = downloadDir + "/" + StringUtil.trimHandle(itemBo) + "_" + VersionInit + "/";
            //判断目录是否存在
            boolean flag = jSchClient.isDirExist(path);
            if (flag) {
                list.add(String.valueOf(VersionInit));
            }
            VersionInit++;
        }
        if (list == null || list.size() == 0) {
            return null;
        }
        return list.get(list.size() - 1);
    }



}
