package com.foreverwin.mesnac.meapi.dto;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class LogisticsDto {
    private String handle;

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    private String nextWorkCenter;
    private String nextWorkCenterDes;
    private String sfc;
    private String workOrder;
    private String itemDescription;
    private String blankingSize;
    private String dispatchQty;
    private String overOperation;
    private String employeeDescription;
    private String nextOperation;
    private String status;
    private String shopOrder;;
    private String texture;
    private String qtyToBuild;
    private String zlDescription;
    private String comfirmUser;
    private String turnoutItem;
    private String isReceive;
    private String storageLocation;
    private String confirm;
    private String turnoutWorkcenter;
    private LocalDateTime comDatetime;
    private LocalDateTime other4;
    private String startFromDate;
    private String startToDate;
    private String completeFromDate;
    private String completeToDate;
    private String createdDateTime;
    private String other6;
    private String deleteUser;

    private String itemCode;
    private String nextNextOperation;

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getNextNextOperation() {
        return nextNextOperation;
    }

    public void setNextNextOperation(String nextNextOperation) {
        this.nextNextOperation = nextNextOperation;
    }

    public String getDeleteUser() {
        return deleteUser;
    }

    public void setDeleteUser(String deleteUser) {
        this.deleteUser = deleteUser;
    }

    public String getOther6() {
        return other6;
    }

    public void setOther6(String other6) {
        this.other6 = other6;
    }

    public String getCreatedDateTime() {
        return createdDateTime;
    }

    public void setCreatedDateTime(LocalDateTime createdDateTime) {
        DateTimeFormatter fmt = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        String dateStr = createdDateTime.format(fmt);
        this.createdDateTime = dateStr;
    }

    public String getStartFromDate() {
        return startFromDate;
    }

    public void setStartFromDate(String startFromDate) {
        this.startFromDate = startFromDate;
    }

    public String getStartToDate() {
        return startToDate;
    }

    public void setStartToDate(String startToDate) {
        this.startToDate = startToDate;
    }

    public String getCompleteFromDate() {
        return completeFromDate;
    }

    public void setCompleteFromDate(String completeFromDate) {
        this.completeFromDate = completeFromDate;
    }

    public String getCompleteToDate() {
        return completeToDate;
    }

    public void setCompleteToDate(String completeToDate) {
        this.completeToDate = completeToDate;
    }

    public String getNextWorkCenterDes() {
        return nextWorkCenterDes;
    }

    public void setNextWorkCenterDes(String nextWorkCenterDes) {
        this.nextWorkCenterDes = nextWorkCenterDes;
    }

    public LocalDateTime getComDatetime() {
        return comDatetime;
    }

    public void setComDatetime(LocalDateTime comDatetime) {
        this.comDatetime = comDatetime;
    }

    public LocalDateTime getOther4() {
        return other4;
    }

    public void setOther4(LocalDateTime other4) {
        this.other4 = other4;
    }

    public String getTurnoutWorkcenter() {
        return turnoutWorkcenter;
    }

    public void setTurnoutWorkcenter(String turnoutWorkcenter) {
        this.turnoutWorkcenter = turnoutWorkcenter;
    }

    public String getConfirm() {
        return confirm;
    }

    public void setConfirm(String confirm) {
        this.confirm = confirm;
    }

    public String getTurnoutItem() {
        return turnoutItem;
    }

    public void setTurnoutItem(String turnoutItem) {
        this.turnoutItem = turnoutItem;
    }

    public String getIsReceive() {
        return isReceive;
    }

    public void setIsReceive(String isReceive) {
        this.isReceive = isReceive;
    }

    public String getStorageLocation() {
        return storageLocation;
    }

    public void setStorageLocation(String storageLocation) {
        this.storageLocation = storageLocation;
    }

    public String getComfirmUser() {
        return comfirmUser;
    }

    public void setComfirmUser(String comfirmUser) {
        this.comfirmUser = comfirmUser;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getZlDescription() {
        return zlDescription;
    }

    public void setZlDescription(String zlDescription) {
        this.zlDescription = zlDescription;
    }

    public String getShopOrder() {
        return shopOrder;
    }

    public void setShopOrder(String shopOrder) {
        this.shopOrder = shopOrder;
    }

    public String getTexture() {
        return texture;
    }

    public void setTexture(String texture) {
        this.texture = texture;
    }

    public String getQtyToBuild() {
        return qtyToBuild;
    }

    public void setQtyToBuild(String qtyToBuild) {
        this.qtyToBuild = qtyToBuild;
    }

    public String getNextWorkCenter() {
        return nextWorkCenter;
    }

    public void setNextWorkCenter(String nextWorkCenter) {
        this.nextWorkCenter = nextWorkCenter;
    }

    public String getSfc() {
        return sfc;
    }

    public void setSfc(String sfc) {
        this.sfc = sfc;
    }

    public String getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(String workOrder) {
        this.workOrder = workOrder;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getBlankingSize() {
        return blankingSize;
    }

    public void setBlankingSize(String blankingSize) {
        this.blankingSize = blankingSize;
    }

    public String getDispatchQty() {
        return dispatchQty;
    }

    public void setDispatchQty(String dispatchQty) {
        this.dispatchQty = dispatchQty;
    }

    public String getOverOperation() {
        return overOperation;
    }

    public void setOverOperation(String overOperation) {
        this.overOperation = overOperation;
    }

    public String getEmployeeDescription() {
        return employeeDescription;
    }

    public void setEmployeeDescription(String employeeDescription) {
        this.employeeDescription = employeeDescription;
    }

    public String getNextOperation() {
        return nextOperation;
    }

    public void setNextOperation(String nextOperation) {
        this.nextOperation = nextOperation;
    }

    @Override
    public String toString() {
        return "LogisticsDto{" +
                "handle='" + handle + '\'' +
                ", nextWorkCenter='" + nextWorkCenter + '\'' +
                ", sfc='" + sfc + '\'' +
                ", workOrder='" + workOrder + '\'' +
                ", itemDescription='" + itemDescription + '\'' +
                ", blankingSize='" + blankingSize + '\'' +
                ", dispatchQty='" + dispatchQty + '\'' +
                ", overOperation='" + overOperation + '\'' +
                ", employeeDescription='" + employeeDescription + '\'' +
                ", nextOperation='" + nextOperation + '\'' +
                '}';
    }
}
