package com.foreverwin.mesnac.meapi.mapper;

import com.foreverwin.mesnac.meapi.dto.AbnormalRouterDto;
import com.foreverwin.mesnac.meapi.model.Router;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.foreverwin.mesnac.meapi.model.RouterStep;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */
@Repository
public interface RouterMapper extends BaseMapper<Router> {

    Router selectRouterBySfcBo(@Param("sfcBo") String sfcBo);

    Router selectCurrentRouter(@Param("routerBo") String routerBo);

    List<Router> selectRouterList4RevisionDesc(@Param("site") String site, @Param("router") String router);

   RouterStep findRepairOperation(@Param("site") String site, @Param("routerBo") String routerBo, @Param("stepId")  String stepId);

    List<AbnormalRouterDto> selectDisrouter(@Param("abnormalRouterDto")AbnormalRouterDto abnormalRouterDto);

    List<AbnormalRouterDto> selectAllDisRouter(@Param("abnormalRouterDto")AbnormalRouterDto abnormalRouterDto);

}