package com.foreverwin.mesnac.meapi.mapper;

import com.foreverwin.mesnac.meapi.dto.UploadPicturesDto;
import com.foreverwin.mesnac.meapi.model.RouterStepcontent;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author YANG.WL
 * @since 2022-06-09
 */
@Repository
public interface RouterStepcontentMapper extends BaseMapper<RouterStepcontent> {

    List<Map<String, Object>> selectDisRouterInfo(Map paramMap);

    List<String> findpbDescription(Map paramMap);

    List<UploadPicturesDto> findUploadPictureByRouterBo(UploadPicturesDto uploadPictures);
}