package com.foreverwin.mesnac.meapi.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author YANG.WL
 * @since 2022-08-04
 */

@TableName("Z_LOCATION")

public class Location extends Model<Location> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableField("HANDLE")
   private String handle;
    /**
     * 库位码
     */
   @TableField("LOCATION_CODE")
   private String locationCode;
    /**
     * 所属车间
     */
   @TableField("WORK_CENTER")
   private String workCenter;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 库位描述
     */
   @TableField("DESCRIPTION")
   private String description;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getLocationCode() {
      return locationCode;
   }

   public void setLocationCode(String locationCode) {
      this.locationCode = locationCode;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

public static final String HANDLE = "HANDLE";

public static final String LOCATION_CODE = "LOCATION_CODE";

public static final String WORK_CENTER = "WORK_CENTER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String DESCRIPTION = "DESCRIPTION";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "Location{" +
         "handle = " + handle +
         ", locationCode = " + locationCode +
         ", workCenter = " + workCenter +
         ", createdDateTime = " + createdDateTime +
         ", description = " + description +
         "}";
   }
}