package com.foreverwin.mesnac.meapi.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author YANG.WL
 * @since 2022-08-05
 */

@TableName("Z_LOGISTICS_BILL")

public class LogisticsBill extends Model<LogisticsBill> {

    private static final long serialVersionUID = 1L;

    /**
     * 转运单号
     */
   @TableField("LOGISTICS_BILL_NO")
   private String logisticsBillNo;
    /**
     * 转运任务主键
     */
   @TableField("LOGISTICS_BO")
   private String logisticsBo;
    /**
     * 转运完成时间
     */
   @TableField("COM_TIME")
   private LocalDateTime comTime;
   @TableField("OTHER1")
   private String other1;
   @TableField("OTHER2")
   private String other2;
   @TableField("OTHER3")
   private String other3;


   public String getLogisticsBillNo() {
      return logisticsBillNo;
   }

   public void setLogisticsBillNo(String logisticsBillNo) {
      this.logisticsBillNo = logisticsBillNo;
   }

   public String getLogisticsBo() {
      return logisticsBo;
   }

   public void setLogisticsBo(String logisticsBo) {
      this.logisticsBo = logisticsBo;
   }

   public LocalDateTime getComTime() {
      return comTime;
   }

   public void setComTime(LocalDateTime comTime) {
      this.comTime = comTime;
   }

   public String getOther1() {
      return other1;
   }

   public void setOther1(String other1) {
      this.other1 = other1;
   }

   public String getOther2() {
      return other2;
   }

   public void setOther2(String other2) {
      this.other2 = other2;
   }

   public String getOther3() {
      return other3;
   }

   public void setOther3(String other3) {
      this.other3 = other3;
   }

public static final String LOGISTICS_BILL_NO = "LOGISTICS_BILL_NO";

public static final String LOGISTICS_BO = "LOGISTICS_BO";

public static final String COM_TIME = "COM_TIME";

public static final String OTHER1 = "OTHER1";

public static final String OTHER2 = "OTHER2";

public static final String OTHER3 = "OTHER3";




   @Override
   public String toString() {
      return "LogisticsBill{" +
         "logisticsBillNo = " + logisticsBillNo +
         ", logisticsBo = " + logisticsBo +
         ", comTime = " + comTime +
         ", other1 = " + other1 +
         ", other2 = " + other2 +
         ", other3 = " + other3 +
         "}";
   }
}