package com.foreverwin.mesnac.meapi.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author YANG.WL
 * @since 2022-06-09
 */

@TableName("Z_ROUTER_STEPCONTENT")

public class RouterStepcontent extends Model<RouterStepcontent> {

    private static final long serialVersionUID = 1L;

    /**
     * 工艺路线步骤
     */
   @TableField("ROUTER_STEP_BO")
   private String routerStepBo;
    /**
     * 工序内容
     */
   @TableField("ROUTER_STEP_CONTENT")
   private String routerStepContent;
    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 异常单号
     */
   @TableField("ABNORMAL_NO")
   private String abnormalNo;
    /**
     * 返修工时
     */
   @TableField("REPAIR_TIME")
   private String repairTime;


   public String getRouterStepBo() {
      return routerStepBo;
   }

   public void setRouterStepBo(String routerStepBo) {
      this.routerStepBo = routerStepBo;
   }

   public String getRouterStepContent() {
      return routerStepContent;
   }

   public void setRouterStepContent(String routerStepContent) {
      this.routerStepContent = routerStepContent;
   }

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getAbnormalNo() {
      return abnormalNo;
   }

   public void setAbnormalNo(String abnormalNo) {
      this.abnormalNo = abnormalNo;
   }

   public String getRepairTime() {
      return repairTime;
   }

   public void setRepairTime(String repairTime) {
      this.repairTime = repairTime;
   }

public static final String ROUTER_STEP_BO = "ROUTER_STEP_BO";

public static final String ROUTER_STEP_CONTENT = "ROUTER_STEP_CONTENT";

public static final String HANDLE = "HANDLE";

public static final String ABNORMAL_NO = "ABNORMAL_NO";

public static final String REPAIR_TIME = "REPAIR_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "RouterStepcontent{" +
         "routerStepBo = " + routerStepBo +
         ", routerStepContent = " + routerStepContent +
         ", handle = " + handle +
         ", abnormalNo = " + abnormalNo +
         ", repairTime = " + repairTime +
         "}";
   }
}