package com.foreverwin.mesnac.production.service;

import com.foreverwin.mesnac.common.dto.SfcDispatchDto;
import com.foreverwin.mesnac.meapi.dto.LogisticsDto;
import com.foreverwin.mesnac.meapi.dto.SfcDto;
import com.foreverwin.mesnac.meapi.dto.WorkCenterDto;
import com.foreverwin.mesnac.meapi.model.Sfc;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface PodTemplateService {
    Map<String, Object> resrceEnter(WorkCenterDto workCenterDto);

    Map<String, Object> sfcEnter(SfcDto workCenterDto);


    Object getSfcInfo(SfcDto sfcDto);

    void sfcStart(Map<String, Object> map);

    String sfcComplete(SfcDto sfcDto, String resrce,String shoporder);

    void sendErp(String sfc, String stepId, BigDecimal qty, BigDecimal scrapQty, BigDecimal workHour);

    SfcDto getInfoBySfc(Sfc sfc);

    LogisticsDto Scansfc(Map paramMap);

   // Map<String, Object> Scansfc(SfcDto sfcDto);
}
