package com.foreverwin.mesnac.anomaly.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author YANG.WL
 * @since 2022-11-14
 */

@TableName("Z_WX_ORDER_RECEIVED")

public class WxOrderReceived extends Model<WxOrderReceived> {

    private static final long serialVersionUID = 1L;

    /**
     * 外协订单表主键
     */
   @TableField("WX_ORDER_BO")
   private String wxOrderBo;
    /**
     * 到货数量
     */
   @TableField("RECEIVE_NUMBER")
   private Integer receiveNumber;
    /**
     * 到货时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 收货人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 修改人员
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("OTHER_1")
   private String other1;
   @TableField("OTHER_2")
   private String other2;
    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;


   public String getWxOrderBo() {
      return wxOrderBo;
   }

   public void setWxOrderBo(String wxOrderBo) {
      this.wxOrderBo = wxOrderBo;
   }

    public Integer getReceiveNumber() {
        return receiveNumber;
    }

    public void setReceiveNumber(Integer receiveNumber) {
        this.receiveNumber = receiveNumber;
    }

    public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getOther1() {
      return other1;
   }

   public void setOther1(String other1) {
      this.other1 = other1;
   }

   public String getOther2() {
      return other2;
   }

   public void setOther2(String other2) {
      this.other2 = other2;
   }

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

public static final String WX_ORDER_BO = "WX_ORDER_BO";

public static final String NUMBER = "NUMBER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String CREATED_USER = "CREATED_USER";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String OTHER_1 = "OTHER_1";

public static final String OTHER_2 = "OTHER_2";

public static final String HANDLE = "HANDLE";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "WxOrderReceived{" +
         "wxOrderBo = " + wxOrderBo +
         ", receiveNumber = " + receiveNumber +
         ", createdDateTime = " + createdDateTime +
         ", createdUser = " + createdUser +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", other1 = " + other1 +
         ", other2 = " + other2 +
         ", handle = " + handle +
         "}";
   }
}