package com.foreverwin.mesnac.anomaly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.ImprovementProposals;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 改善提案报告书 服务类
 * </p>
 *
 * @author YinQ
 * @since 2022-09-19
 */
public interface ImprovementProposalsService extends IService<ImprovementProposals> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ImprovementProposals> selectPage(FrontPage<ImprovementProposals> frontPage, ImprovementProposals improvementProposals);

    List<ImprovementProposals> selectList(ImprovementProposals improvementProposals);

    ImprovementProposals insertData(ImprovementProposals improvementProposals);

    Boolean improvementProposalsListImportFile(List<ImprovementProposals> improvementProposals);
}