package com.foreverwin.mesnac.anomaly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.TemporaryFix;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 临时修复表 服务类
 * </p>
 *
 * @author Y.Q
 * @since 2022-09-08
 */
public interface TemporaryFixService extends IService<TemporaryFix> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<TemporaryFix> selectPage(FrontPage<TemporaryFix> frontPage, TemporaryFix temporaryFix);

    List<TemporaryFix> selectList(TemporaryFix temporaryFix);

    List<TemporaryFix> temporaryFixImportFile(List<TemporaryFix> temporaryFixList);
}