package com.foreverwin.mesnac.anomaly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.WorkCentreDetails;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * SAP工作中心明细 服务类
 * </p>
 *
 * @author YinQ
 * @since 2022-11-29
 */
public interface WorkCentreDetailsService extends IService<WorkCentreDetails> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<WorkCentreDetails> selectPage(FrontPage<WorkCentreDetails> frontPage, WorkCentreDetails workCentreDetails);

    List<WorkCentreDetails> selectList(WorkCentreDetails workCentreDetails);
}