package com.foreverwin.mesnac.anomaly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.WorkHourStatistics;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;
import com.foreverwin.modular.core.util.R;
import org.apache.commons.fileupload.FileItem;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * <p>
 * 工时统计汇总表 服务类
 * </p>
 *
 * @author YinQ
 * @since 2022-12-16
 */
public interface WorkHourStatisticsService extends IService<WorkHourStatistics> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<WorkHourStatistics> selectPage(FrontPage<WorkHourStatistics> frontPage, WorkHourStatistics workHourStatistics);

    List<WorkHourStatistics> selectList(WorkHourStatistics workHourStatistics);

    List<WorkHourStatistics> workHourStatisticsFile(List<WorkHourStatistics> workHourStatisticsList);

}