package com.foreverwin.mesnac.anomaly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.WxOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.anomaly.model.WxOrderDto;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author YANG.WL
 * @since 2022-10-19
 */
public interface WxOrderService extends IService<WxOrder> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<WxOrder> selectPage(FrontPage<WxOrder> frontPage, WxOrder wxOrder);

    List<WxOrder> selectList(WxOrder wxOrder);

    List<WxOrderDto> selectReceiveNumber();


}