package com.foreverwin.mesnac.anomaly.utils;

import lombok.Getter;

/**
 * @Author YinQ
 * @create 2022-08-05 11:46
 */
@Getter
public enum ResultCode implements StatusCode{
    SUCCESS(0, "请求成功"),
    FAILED(403, "请求失败"),
    VALIDATE_ERROR(1002, "参数校验失败"),
    RESPONSE_PACK_ERROR(1003, "response返回包装失败");

    private int code;
    private String msg;

    ResultCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
