package com.foreverwin.mesnac.anomaly.utils;

/**
 * @Author YinQ
 * @create 2022-08-02 15:14
 */
public class YunBpmApis {
    /** 获取OAuth Code */
    public static final String GET_CODE = "/api/login/Authentication/get_code";
    /** 获取Token */
    public static final String GET_TOKEN = "/api/login/Authentication/get_token?code=%s&client_secret=%s&client_id=%s&url=%s&redirect_uri=%s";
    /** 获取重放Token */
    public static final String GET_REPLAY_TOKEN = "/api/api/runtime/form/getReplayToken?access_token=%s";

    /** 保存或修改表单 */
    public static final String SAVE_OR_UPDATE_FORM = "/api/api/runtime/form/save?access_token=%s";
    /** 提交待办任务 */
    public static final String FORM_SUBMIT = "/api/api/runtime/form/submit?access_token=%s";
    /** 作废流程实例 */
    public static final String ABORT_INSTANCE = "/api/api/runtime/workflow/abort_instance?access_token=%s&workflowInstanceId=%s";
    /** 驳回任务 */
    public static final String REJECT_WORK_ITEM = "/api/api/runtime/workflow/reject_workItem?access_token=%s";
    /** 下载文件 */
    public static final String FILE_DOWNLOAD = "/api/api/aliyun/download?access_token=%s&refId=%s";
    /** 上传文件 */
    public static final String FILE_UPLOAD = "/api/api/aliyun/upload";
    /** 转发任务 */
    public static final String FORWARD_WORKITEM = "/api/api/runtime/workflow/forward_workItem?access_token=%s";
    /** 根据流程实例id获取审批记录列表 */
    public static final String LIST_WORKITEM_APPROVALS = "/api/api/runtime/workflow/list_workitem_approvals?access_token=%s&workflowInstanceId=%s";
    /** 通知任务设置已阅 */
    public static final String UPDATE_CIRCULATE_READED = "/api/api/runtime/workflow/update_circulate_readed?access_token=%s";
    /** 查询物料信息 */
    public static final String SELECT_MATERIAL_DESP = "/api/public/api/xmzlwt/selectMaterialDesp?materialCode=%s";
    /** 我的待办 */
    public static final String SEARCH_WORKITEMS = "/api/api/runtime/workflow/search_workitems?workflowCode=%s&access_token=%s&size=100000";
    /** 我的已办 */
    public static final String FINISHED_WORKITEMS = "/api/api/runtime/workflow/list_finished_workitems?workflowCode=%s&access_token=%s&size=100000";
    /** 我的提交 */
    public static final String MY_INSTANCES = "/api/api/runtime/workflow/list_my_instances?workflowCode=%s&access_token=%s&size=100000&state=PROCESSING";
}
