package com.foreverwin.mesnac.common.service;

import java.io.InputStream;
import java.util.Map;

/**
 * @author roc li
 */
public interface FileService {

    Map<String,String> getFilePaths(String site,String sfc,String operation,String step) throws Exception;
    Map<String,String> getFilePathsByItemBo(String itemBo) throws Exception;
    /**
     * 获取文件路径SFTP
     * @param itemBo
     * @return
     * @throws Exception
     */
    Map<String,String> getFilePathsByItemBoSFTP(String itemBo,String type,String version) throws Exception;
    /**
     * 获取指定文件流
     *
     * @param path
     * @return
     * @throws Exception
     */
    public InputStream getSFTP(String path) throws Exception;
}
