package com.foreverwin.mesnac.common.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.foreverwin.mesnac.common.mapper.ItemBatchMapperSave;
import com.foreverwin.mesnac.common.model.ItemBatchdDto;
import com.foreverwin.mesnac.common.service.ItemBatchServiceSave;
import com.foreverwin.mesnac.common.util.StringUtil;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * 物料批次表 服务实现类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-18
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ItemBatchServiceImplSave extends ServiceImpl<ItemBatchMapperSave, ItemBatchdDto> implements ItemBatchServiceSave {

}