package com.foreverwin.mesnac.meapi.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author YANG.WL
 * @since 2022-10-26
 */

@TableName("Z_LOGISTICS_TURNOVER")

public class LogisticsTurnover extends Model<LogisticsTurnover> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 派工单主键
     */
   @TableField("SFC_DISPATCH_BO")
   private String sfcDispatchBo;
    /**
     * 周转状态NEW/待转运COM/转运完成COF/车间已接收
     */
   @TableField("STATUS")
   private String status;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 周转人员员工号
     */
   @TableField("USER_ID")
   private String userId;
    /**
     * 周转人员名称
     */
   @TableField("USER_NAME")
   private String userName;
    /**
     * 下道工序
     */
   @TableField("OTHER1")
   private String other1;
    /**
     * 步骤
     */
   @TableField("OTHER2")
   private String other2;
    /**
     * 检验任务主键
     */
   @TableField("OTHER3")
   private String other3;
    /**
     * 存放位置
     */
   @TableField("STORAGE_LOCATION")
   private String storageLocation;
    /**
     * 转入车间
     */
   @TableField("TURNOVER_WORK_CENTER")
   private String turnoverWorkCenter;
    /**
     * 转运完成时间
     */
   @TableField("COM_DATE_TIME")
   private LocalDateTime comDateTime;
    /**
     * 车间是否接收Y/接收N/未接收
     */
   @TableField("IS_RECEIVE")
   private String isReceive;
    /**
     * 转出车间
     */
   @TableField("TURNOUT_WORKCENTER")
   private String turnoutWorkcenter;
    /**
     * 转出物料
     */
   @TableField("TURNOUT_ITEM")
   private String turnoutItem;
    /**
     * 车间接收时间
     */
   @TableField("OTHER4")
   private LocalDateTime other4;
    /**
     * 确认接收人
     */
   @TableField("OTHER5")
   private String other5;
    /**
     * 删除标记 1/删除 0/保留
     */
   @TableField("OTHER6")
   private String other6;
    /**
     * 工单号
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * SFC产品条码
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 删除人
     */
   @TableField("DELETE_USER")
   private String deleteUser;
    /**
     * 删除时间
     */
   @TableField("DELETE_DATE_TIME")
   private LocalDateTime deleteDateTime;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;

    @TableField("NEXT_STEP")
    private String nextStep;

    public String getNextStep() {
        return nextStep;
    }

    public void setNextStep(String nextStep) {
        this.nextStep = nextStep;
    }

    private String nextWorkCenter;

    public String getNextWorkCenter() {
        return nextWorkCenter;
    }

    public void setNextWorkCenter(String nextWorkCenter) {
        this.nextWorkCenter = nextWorkCenter;
    }

    public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSfcDispatchBo() {
      return sfcDispatchBo;
   }

   public void setSfcDispatchBo(String sfcDispatchBo) {
      this.sfcDispatchBo = sfcDispatchBo;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getuserId() {
      return userId;
   }

   public void setuserId(String userId) {
      this.userId = userId;
   }

   public String getUserName() {
      return userName;
   }

   public void setUserName(String userName) {
      this.userName = userName;
   }

   public String getOther1() {
      return other1;
   }

   public void setOther1(String other1) {
      this.other1 = other1;
   }

   public String getOther2() {
      return other2;
   }

   public void setOther2(String other2) {
      this.other2 = other2;
   }

   public String getOther3() {
      return other3;
   }

   public void setOther3(String other3) {
      this.other3 = other3;
   }

   public String getStorageLocation() {
      return storageLocation;
   }

   public void setStorageLocation(String storageLocation) {
      this.storageLocation = storageLocation;
   }

   public String getTurnoverWorkCenter() {
      return turnoverWorkCenter;
   }

   public void setTurnoverWorkCenter(String turnoverWorkCenter) {
      this.turnoverWorkCenter = turnoverWorkCenter;
   }

   public LocalDateTime getComDateTime() {
      return comDateTime;
   }

   public void setComDateTime(LocalDateTime comDateTime) {
      this.comDateTime = comDateTime;
   }

   public String getIsReceive() {
      return isReceive;
   }

   public void setIsReceive(String isReceive) {
      this.isReceive = isReceive;
   }

   public String getTurnoutWorkcenter() {
      return turnoutWorkcenter;
   }

   public void setTurnoutWorkcenter(String turnoutWorkcenter) {
      this.turnoutWorkcenter = turnoutWorkcenter;
   }

   public String getTurnoutItem() {
      return turnoutItem;
   }

   public void setTurnoutItem(String turnoutItem) {
      this.turnoutItem = turnoutItem;
   }

   public LocalDateTime getOther4() {
      return other4;
   }

   public void setOther4(LocalDateTime other4) {
      this.other4 = other4;
   }

   public String getOther5() {
      return other5;
   }

   public void setOther5(String other5) {
      this.other5 = other5;
   }

   public String getOther6() {
      return other6;
   }

   public void setOther6(String other6) {
      this.other6 = other6;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getDeleteUser() {
      return deleteUser;
   }

   public void setDeleteUser(String deleteUser) {
      this.deleteUser = deleteUser;
   }

   public LocalDateTime getDeleteDateTime() {
      return deleteDateTime;
   }

   public void setDeleteDateTime(LocalDateTime deleteDateTime) {
      this.deleteDateTime = deleteDateTime;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

public static final String HANDLE = "HANDLE";

public static final String SFC_DISPATCH_BO = "SFC_DISPATCH_BO";

public static final String STATUS = "STATUS";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String USER_ID = "USER_ID";

public static final String USER_NAME = "USER_NAME";

public static final String OTHER1 = "OTHER1";

public static final String OTHER2 = "OTHER2";

public static final String OTHER3 = "OTHER3";

public static final String STORAGE_LOCATION = "STORAGE_LOCATION";

public static final String TURNOVER_WORK_CENTER = "TURNOVER_WORK_CENTER";

public static final String COM_DATE_TIME = "COM_DATE_TIME";

public static final String IS_RECEIVE = "IS_RECEIVE";

public static final String TURNOUT_WORKCENTER = "TURNOUT_WORKCENTER";

public static final String TURNOUT_ITEM = "TURNOUT_ITEM";

public static final String OTHER4 = "OTHER4";

public static final String OTHER5 = "OTHER5";

public static final String OTHER6 = "OTHER6";

public static final String SHOP_ORDER = "SHOP_ORDER";

public static final String SFC = "SFC";

public static final String DELETE_USER = "DELETE_USER";

public static final String DELETE_DATE_TIME = "DELETE_DATE_TIME";

public static final String CREATED_USER = "CREATED_USER";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "LogisticsTurnover{" +
         "handle = " + handle +
         ", sfcDispatchBo = " + sfcDispatchBo +
         ", status = " + status +
         ", createdDateTime = " + createdDateTime +
         ", userId = " + userId +
         ", userName = " + userName +
         ", other1 = " + other1 +
         ", other2 = " + other2 +
         ", other3 = " + other3 +
         ", storageLocation = " + storageLocation +
         ", turnoverWorkCenter = " + turnoverWorkCenter +
         ", comDateTime = " + comDateTime +
         ", isReceive = " + isReceive +
         ", turnoutWorkcenter = " + turnoutWorkcenter +
         ", turnoutItem = " + turnoutItem +
         ", other4 = " + other4 +
         ", other5 = " + other5 +
         ", other6 = " + other6 +
         ", shopOrder = " + shopOrder +
         ", sfc = " + sfc +
         ", deleteUser = " + deleteUser +
         ", deleteDateTime = " + deleteDateTime +
         ", createdUser = " + createdUser +
         "}";
   }
}