package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.Location;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author YANG.WL
 * @since 2022-08-04
 */
public interface LocationService extends IService<Location> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Location> selectPage(FrontPage<Location> frontPage, Location location);

    List<Location> selectList(Location location);

    Location getLocation(String locationcode);
}