package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.dto.LogisticsDto;
import com.foreverwin.mesnac.meapi.model.Location;
import com.foreverwin.mesnac.meapi.model.LogisticsTurnover;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.model.StoreSfcInfo;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author YANG.WL
 * @since 2022-08-08
 */
public interface LogisticsTurnoverService extends IService<LogisticsTurnover> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<LogisticsTurnover> selectPage(FrontPage<LogisticsTurnover> frontPage, LogisticsTurnover logisticsTurnover);

    List<LogisticsTurnover> selectList(LogisticsTurnover logisticsTurnover);


    List<LogisticsDto> queryLogisticsTurnoverList(String HJHJ,String HJXL,String JJ,String WX,String RC,String ZP);

    LogisticsTurnover queryNewtistTurnoverTask(String sfcDispatchBo);

    IPage<LogisticsDto> selectLogisticsDtoPage(FrontPage<LogisticsDto> frontPage, LogisticsDto logisticsDto);

    List<LogisticsDto> selectlogisticsturnoverlist(LogisticsDto logisticsDto);

    Boolean Receivelogistics(StringBuffer message, List<LogisticsDto> logisticsDtoList);

    boolean updateLogistics(List<LogisticsDto> logisticsDtoList, Location lt,StringBuffer message, String transportno, String user, String username);
    StoreSfcInfo storeSelectSfc(String sfc);

    String submentInStore(String sfc, double qty, int inStoreType, String user,String storeLocation);

    boolean deleteLogistics(List<LogisticsDto> logisticsDtoList);

}