package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.dto.UploadPicturesDto;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zjw
 * @since 2021-09-09
 */
public interface PicturesService extends IService<UploadPicturesDto> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<UploadPicturesDto> selectPage(FrontPage<UploadPicturesDto> frontPage, UploadPicturesDto uploadPictures);

    List<UploadPicturesDto> selectList(UploadPicturesDto uploadPictures);
}