package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.dto.UploadPicturesDto;
import com.foreverwin.mesnac.meapi.model.RouterStepcontent;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2022-06-07
 */
public interface RouterStepcontentService extends IService<RouterStepcontent> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<RouterStepcontent> selectPage(FrontPage<RouterStepcontent> frontPage, RouterStepcontent routerStepcontent);

    List<RouterStepcontent> selectList(RouterStepcontent routerStepcontent);

    List<Map<String, Object>> selectDisRouterInfo(Map paramMap);



    /**
     * 根据工单号和SFC在质量异常表查找问题描述
     * @return
     */
    List<String> pbDescription(Map paramMap);


     UploadPicturesDto findUploadPictureByRouterBo(String RouterBo, String status);
}