package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.extension.service.IService;

import com.foreverwin.mesnac.meapi.model.SfcDispatchDrawing;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */
public interface SfcDispatchDrawingService extends IService<SfcDispatchDrawing> {


    /**
     * 查询派工数据
     *
     * @param site
     * @param sfc
     * @param operation  非必须
     * @param stepId  非必须
     * @return
     */
    SfcDispatchDrawing findSfcDispatch(String site, String sfc, String operation, String stepId);

}