package com.foreverwin.mesnac.meapi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.foreverwin.mesnac.meapi.mapper.SfcDispatchDrawingMapper;
import com.foreverwin.mesnac.meapi.model.SfcDispatchDrawing;
import com.foreverwin.mesnac.meapi.service.SfcDispatchDrawingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
@Service
@Transactional(rollbackFor = Exception.class)
public class SfcDispatchDrawingServiceImpl extends ServiceImpl<SfcDispatchDrawingMapper, SfcDispatchDrawing> implements SfcDispatchDrawingService{

    @Autowired
    private SfcDispatchDrawingMapper sfcDispatchDrawingMapper;
    @Override
    public SfcDispatchDrawing findSfcDispatch(String site, String sfc, String operation, String stepId) {
        return sfcDispatchDrawingMapper.findSfcDispatch(site,sfc,operation,stepId);
    }
}
