package com.foreverwin.mesnac.production.mapper;

import com.foreverwin.mesnac.production.dto.AccessoryConsumDto;
import com.foreverwin.mesnac.production.model.AccessoryLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 辅料使用记录表 Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-08-12
 */
@Repository
public interface AccessoryLogMapper extends BaseMapper<AccessoryLog> {

    List<AccessoryLog> getLabelList(@Param("site") String site,@Param("sfc") String sfc,@Param("stepId") String stepId);

    List<AccessoryConsumDto> selectAccessory(Map<String,Object> map);

    List<AccessoryConsumDto> getItems();
}